Subject: Re: linux-next: manual merge of the omap tree with the keystone tree

From: Tony Lindgren <[email-masked]>
Date: Fri, 22 Dec 2017 08:41:45 -0800

* Santosh Shilimkar <[email-masked]> [171222 02:01]:
> On 12/21/2017 3:12 PM, Tony Lindgren wrote:
> > * Stephen Rothwell <[email-masked]> [171221 21:48]:
> > > Hi Tony,
> > > 
> > > Today's linux-next merge of the omap tree got a conflict in:
> > > 
> > >    arch/arm/configs/multi_v7_defconfig
> > > 
> > > between commit:
> > > 
> > >    d3b15c54ed7e ("ARM: config: sync multi-v7 config with keystone peripherals")
> > > 
> > > from the keystone tree and commit:
> > > 
> > >    d03366dcbffc ("ARM: multi_v7_defconfig: Enable CONFIG_PCI_DRA7XX (Host & Device modes)")
> > > 
> > > from the omap tree.
> > > 
> > > I fixed it up (see below) and can carry the fix as necessary. This
> > > is now fixed as far as linux-next is concerned, but any non trivial
> > > conflicts should be mentioned to your upstream maintainer when your tree
> > > is submitted for merging.  You may also want to consider cooperating
> > > with the maintainer of the conflicting tree to minimise any particularly
> > > complex conflicts.
> > 
> > Thanks I'll wait on this one so Kishon can check the resulting next.
> > 
> > Santosh, the removal of CONFIG_PCI in multi_v7_defconfig looks a bit
> > suspcicious to me, care to check if commit d3b15c54ed7e is correct?
> > 
> I just used savedefconfig so not sure why some of those needed ones
> got knocked off. For now, I will drop the v7_defconfig patch and
> post it separately later post merge window.

OK thanks for checking. In that case I'll go ahead with Kishon's
changes.

Regards,

Tony